Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.core
Class AnnotatedObject

    java.lang.Object
      org.springframework.webflow.core.AnnotatedObject

All Implemented Interfaces:
  Annotated

Direct Known Subclasses:
  AnnotatedAction, Flow, FlowVariable, State, Transition, ViewVariable

    public abstract class AnnotatedObject

extends java.lang.Object
implements Annotated

A base class for all objects in the web flow system that support annotation using arbitrary properties. Mainly used to ensure consistent configuration of properties for all annotated objects.

Author:
  Erwin Vervaet, Keith Donald

Field Summary
`static java.lang.String` | `CAPTION_PROPERTY` The caption property name ("caption").
`static java.lang.String` | `DESCRIPTION_PROPERTY` The long description property name ("description").

Constructor Summary
`AnnotatedObject()`

Method Summary
`MutableAttributeMap` | `getAttributes()` Returns a attribute map containing the attributes annotating this object.
`java.lang.String` | `getCaption()` Returns a short summary of this object, suitable for display as an icon caption or tool tip.
`java.lang.String` | `getDescription()` Returns a longer, more detailed description of this object.
`void` | `setCaption(java.lang.String caption)` Sets the short description (suitable for display in a tooltip).
`void` | `setDescription(java.lang.String description)` Sets the long description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAPTION_PROPERTY

    public static final java.lang.String CAPTION_PROPERTY

  The caption property name ("caption"). A caption is also known as a "short description" and may be used in a GUI tooltip.

  See Also:
    Constant Field Values

### DESCRIPTION_PROPERTY

    public static final java.lang.String DESCRIPTION_PROPERTY

  The long description property name ("description"). A description provides additional, free-form detail about this object and might be shown in a GUI text area.

  See Also:
    Constant Field Values

Constructor Detail

### AnnotatedObject

    public AnnotatedObject()

Method Detail

### getCaption

    public java.lang.String getCaption()

  Description copied from interface: `Annotated`
  Returns a short summary of this object, suitable for display as an icon caption or tool tip.

  Specified by:
    `getCaption` in interface `Annotated`
  Returns:
    the caption

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Annotated`
  Returns a longer, more detailed description of this object.

  Specified by:
    `getDescription` in interface `Annotated`
  Returns:
    the description

### getAttributes

    public MutableAttributeMap getAttributes()

  Description copied from interface: `Annotated`
  Returns a attribute map containing the attributes annotating this object. These attributes provide descriptive characteristics or properties that may affect object behavior.

  Specified by:
    `getAttributes` in interface `Annotated`
  Returns:
    the attribute map

### setCaption

    public void setCaption(java.lang.String caption)

  Sets the short description (suitable for display in a tooltip).

  Parameters:
    `caption` - the caption

### setDescription

    public void setDescription(java.lang.String description)

  Sets the long description.

  Parameters:
    `description` - the long description

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD